Index: LMDZ5/trunk/libf/dyn3d/addfi.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/addfi.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/addfi.F	(revision 2597)
@@ -46,9 +46,8 @@
 c    ------------------
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "serre.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "serre.h"
 c
 c    Arguments :
Index: LMDZ5/trunk/libf/dyn3d/advect.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/advect.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/advect.F	(revision 2597)
@@ -4,4 +4,6 @@
       SUBROUTINE advect(ucov,vcov,teta,w,massebx,masseby,du,dv,dteta)
 
+      USE comconst_mod, ONLY: daysec
+      
       IMPLICIT NONE
 c=======================================================================
@@ -24,11 +26,10 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "logic.h"
-#include "ener.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "logic.h"
+      include "ener.h"
 
 c   Arguments:
Index: LMDZ5/trunk/libf/dyn3d/advtrac.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d/advtrac.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/advtrac.F90	(revision 2597)
@@ -11,5 +11,5 @@
   USE infotrac, ONLY: nqtot, iadv,nqperes,ok_iso_verif
   USE control_mod, ONLY: iapp_tracvl, day_step
-
+  USE comconst_mod, ONLY: dtvr
 
   IMPLICIT NONE
@@ -17,5 +17,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comvert.h"
   include "comdissip.h"
Index: LMDZ5/trunk/libf/dyn3d/bilan_dyn.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/bilan_dyn.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/bilan_dyn.F	(revision 2597)
@@ -13,14 +13,14 @@
       USE IOIPSL
 #endif
+      USE comconst_mod, ONLY: pi, cpp
 
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
-#include "temps.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom2.h"
+      include "temps.h"
+      include "iniprint.h"
 
 c====================================================================
Index: LMDZ5/trunk/libf/dyn3d/caladvtrac.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/caladvtrac.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/caladvtrac.F	(revision 2597)
@@ -10,4 +10,5 @@
       USE infotrac, ONLY : nqtot
       USE control_mod, ONLY : iapp_tracvl,planet_type
+      USE comconst_mod, ONLY: dtvr
  
       IMPLICIT NONE
@@ -23,7 +24,6 @@
 
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 c   Arguments:
Index: LMDZ5/trunk/libf/dyn3d/caldyn.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/caldyn.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/caldyn.F	(revision 2597)
@@ -24,9 +24,8 @@
 !   ----------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
 
 !   Arguments:
Index: LMDZ5/trunk/libf/dyn3d/conf_gcm.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d/conf_gcm.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/conf_gcm.F90	(revision 2597)
@@ -13,4 +13,7 @@
   USE infotrac, ONLY : type_trac
   use assert_m, only: assert
+  USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
+                          iflag_top_bound, mode_top_bound, tau_top_bound, &
+                          ngroup
 
   IMPLICIT NONE
@@ -35,5 +38,4 @@
   include "comdissnew.h"
   include "temps.h"
-  include "comconst.h"
   include "iniprint.h"
 
Index: LMDZ5/trunk/libf/dyn3d/dissip.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/dissip.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/dissip.F	(revision 2597)
@@ -4,4 +4,6 @@
       SUBROUTINE dissip( vcov,ucov,teta,p, dv,du,dh )
 c
+      USE comconst_mod, ONLY: dtdiss
+      
       IMPLICIT NONE
 
@@ -25,10 +27,9 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "comdissnew.h"
-#include "comdissipn.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "comdissnew.h"
+      include "comdissipn.h"
 
 c   Arguments:
Index: LMDZ5/trunk/libf/dyn3d/dynetat0.f90
===================================================================
--- LMDZ5/trunk/libf/dyn3d/dynetat0.f90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/dynetat0.f90	(revision 2597)
@@ -11,9 +11,9 @@
   USE control_mod, ONLY: planet_type
   USE assert_eq_m, ONLY: assert_eq
+  USE comconst_mod, ONLY: cpp, daysec, dtvr, g, im, jm, kappa, lllm, omeg, rad
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
   include "temps.h"
-  include "comconst.h"
   include "comvert.h"
   include "comgeom2.h"
Index: LMDZ5/trunk/libf/dyn3d/dynredem.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d/dynredem.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/dynredem.F90	(revision 2597)
@@ -11,8 +11,8 @@
                     NF90_CLOSE,  NF90_PUT_ATT, NF90_UNLIMITED, NF90_CLOBBER
   USE dynredem_mod, ONLY: cre_var, put_var1, put_var2, err, modname, fil
+  USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comvert.h"
   include "comgeom2.h"
Index: LMDZ5/trunk/libf/dyn3d/fluxstokenc.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/fluxstokenc.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/fluxstokenc.F	(revision 2597)
@@ -16,12 +16,11 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "tracstoke.h"
-#include "temps.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "tracstoke.h"
+      include "temps.h"
+      include "iniprint.h"
 
       REAL time_step,t_wrt, t_ops
Index: LMDZ5/trunk/libf/dyn3d/friction.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/friction.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/friction.F	(revision 2597)
@@ -12,5 +12,5 @@
       USE ioipsl_getincom
 #endif
-      
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 
@@ -27,10 +27,9 @@
 !=======================================================================
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom2.h"
-#include "comconst.h"
-#include "iniprint.h"
-#include "academic.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
+      include "iniprint.h"
+      include "academic.h"
 
 ! arguments:
Index: LMDZ5/trunk/libf/dyn3d/gcm.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d/gcm.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/gcm.F90	(revision 2597)
@@ -23,5 +23,5 @@
   USE control_mod
   USE mod_const_mpi, ONLY: COMM_LMDZ
-
+  USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, g, r, rad
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -68,5 +68,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comdissnew.h"
   include "comvert.h"
@@ -74,5 +73,4 @@
   include "logic.h"
   include "temps.h"
-!!!!!!!!!!!include "control.h"
   include "ener.h"
   include "description.h"
@@ -89,9 +87,9 @@
   REAL, ALLOCATABLE, DIMENSION(:,:,:):: q! champs advectes
   REAL ps(ip1jmp1)                       ! pression  au sol
-  REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
+!  REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
   REAL masse(ip1jmp1,llm)                ! masse d'air
   REAL phis(ip1jmp1)                     ! geopotentiel au sol
-  REAL phi(ip1jmp1,llm)                  ! geopotentiel
-  REAL w(ip1jmp1,llm)                    ! vitesse verticale
+!  REAL phi(ip1jmp1,llm)                  ! geopotentiel
+!  REAL w(ip1jmp1,llm)                    ! vitesse verticale
 
   ! variables dynamiques intermediaire pour le transport
@@ -103,10 +101,7 @@
 
   LOGICAL lafin
-  INTEGER ij,iq,l,i,j
 
 
   real time_step, t_wrt, t_ops
-
-  LOGICAL first
 
   !      LOGICAL call_iniphys
@@ -118,8 +113,8 @@
   !     tansformation d'energie cinetique en energie thermique
   !     cree par la dissipation
-  REAL dhecdt(ip1jmp1,llm)
+!  REAL dhecdt(ip1jmp1,llm)
   !      REAL vcont(ip1jm,llm),ucont(ip1jmp1,llm)
   !      REAL      d_h_vcol, d_qt, d_qw, d_ql, d_ec
-  CHARACTER (len=15) :: ztit
+!  CHARACTER (len=15) :: ztit
   !-jld 
 
Index: LMDZ5/trunk/libf/dyn3d/groupe.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/groupe.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/groupe.F	(revision 2597)
@@ -3,4 +3,7 @@
 !
       subroutine groupe(pext,pbaru,pbarv,pbarum,pbarvm,wm)
+      
+      use comconst_mod, only: ngroup
+      
       implicit none
 
@@ -16,9 +19,8 @@
 c   pas besoin de w en entree.
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom2.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
+      include "comvert.h"
 
 !     integer ngroup
Index: LMDZ5/trunk/libf/dyn3d/groupeun.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/groupeun.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/groupeun.F	(revision 2597)
@@ -3,10 +3,12 @@
 !
       SUBROUTINE groupeun(jjmax,llmax,q)
+      
+      USE comconst_mod, ONLY: ngroup
+      
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
 
       INTEGER jjmax,llmax
@@ -135,10 +137,12 @@
       
       SUBROUTINE INIT_GROUPEUN(airen_tab, aires_tab)
+      
+      USE comconst_mod, ONLY: ngroup
+      
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
 
 !     INTEGER ngroup
Index: LMDZ5/trunk/libf/dyn3d/guide_mod.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d/guide_mod.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/guide_mod.F90	(revision 2597)
@@ -314,5 +314,6 @@
   SUBROUTINE guide_main(itau,ucov,vcov,teta,q,masse,ps)
 
-    USE control_mod
+    USE control_mod, ONLY: day_step, iperiod
+    USE comconst_mod, ONLY: dtvr, daysec
  
     IMPLICIT NONE
@@ -320,5 +321,4 @@
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
-    INCLUDE "comconst.h"
     INCLUDE "comvert.h"
 
@@ -542,4 +542,6 @@
   SUBROUTINE guide_zonave(typ,hsize,vsize,field)
 
+    USE comconst_mod, ONLY: pi
+    
     IMPLICIT NONE
 
@@ -547,5 +549,4 @@
     INCLUDE "paramet.h"
     INCLUDE "comgeom.h"
-    INCLUDE "comconst.h"
     
     ! input/output variables
@@ -607,4 +608,5 @@
   use exner_hyb_m, only: exner_hyb
   use exner_milieu_m, only: exner_milieu
+  use comconst_mod, only: kappa, cpp
   IMPLICIT NONE
 
@@ -613,5 +615,4 @@
   include "comvert.h"
   include "comgeom2.h"
-  include "comconst.h"
 
   REAL, DIMENSION (iip1,jjp1),     INTENT(IN) :: psi ! Psol gcm
@@ -777,15 +778,15 @@
             do j=1,jjp1
                 IF (guide_teta) THEN
-		    do i=1,iim
-			ij=(j-1)*iip1+i
-			tgui1(ij,l)=zu1(i,j,l)
-			tgui2(ij,l)=zu2(i,j,l)
-		    enddo
+                    do i=1,iim
+                        ij=(j-1)*iip1+i
+                        tgui1(ij,l)=zu1(i,j,l)
+                        tgui2(ij,l)=zu2(i,j,l)
+                    enddo
                 ELSE
-		    do i=1,iim
-			ij=(j-1)*iip1+i
-			tgui1(ij,l)=zu1(i,j,l)*cpp/pk(i,j,l)
-			tgui2(ij,l)=zu2(i,j,l)*cpp/pk(i,j,l)
-		    enddo
+                    do i=1,iim
+                        ij=(j-1)*iip1+i
+                        tgui1(ij,l)=zu1(i,j,l)*cpp/pk(i,j,l)
+                        tgui2(ij,l)=zu2(i,j,l)*cpp/pk(i,j,l)
+                    enddo
                 ENDIF
                 tgui1(j*iip1,l)=tgui1((j-1)*iip1+1,l)    
@@ -855,9 +856,10 @@
 ! Calcul des constantes de rappel alpha (=1/tau)
 
+    use comconst_mod, only: pi
+    
     implicit none
 
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom2.h"
     include "serre.h"
@@ -1516,4 +1518,6 @@
   SUBROUTINE guide_out(varname,hsize,vsize,field)
 
+    USE comconst_mod, ONLY: pi
+    
     IMPLICIT NONE
 
@@ -1522,5 +1526,4 @@
     INCLUDE "netcdf.inc"
     INCLUDE "comgeom2.h"
-    INCLUDE "comconst.h"
     INCLUDE "comvert.h"
     
Index: LMDZ5/trunk/libf/dyn3d/iniacademic.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d/iniacademic.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/iniacademic.F90	(revision 2597)
@@ -16,4 +16,5 @@
   use exner_hyb_m, only: exner_hyb
   use exner_milieu_m, only: exner_milieu
+  USE comconst_mod, ONLY: cpp, kappa, g, daysec, dtvr, pi, im, jm
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -29,5 +30,4 @@
   include "paramet.h"
   include "comvert.h"
-  include "comconst.h"
   include "comgeom.h"
   include "academic.h"
Index: LMDZ5/trunk/libf/dyn3d/integrd.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/integrd.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/integrd.F	(revision 2597)
@@ -8,4 +8,5 @@
 
       use control_mod, only : planet_type
+      use comconst_mod, only: pi
 
       IMPLICIT NONE
@@ -27,13 +28,12 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "comvert.h"
-#include "logic.h"
-#include "temps.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "comvert.h"
+      include "logic.h"
+      include "temps.h"
+      include "serre.h"
+      include "iniprint.h"
 
 c   Arguments:
Index: LMDZ5/trunk/libf/dyn3d/leapfrog.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/leapfrog.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/leapfrog.F	(revision 2597)
@@ -20,4 +20,5 @@
       use exner_hyb_m, only: exner_hyb
       use exner_milieu_m, only: exner_milieu
+      USE comconst_mod, ONLY: cpp, dtphys, dtvr, pi, ihf
 
       IMPLICIT NONE
@@ -54,18 +55,16 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comdissnew.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
-#include "serre.h"
-!#include "com_io_dyn.h"
-#include "iniprint.h"
-#include "academic.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comdissnew.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "logic.h"
+      include "temps.h"
+      include "ener.h"
+      include "description.h"
+      include "serre.h"
+      include "iniprint.h"
+      include "academic.h"
 
       REAL,INTENT(IN) :: time_0 ! not used
Index: LMDZ5/trunk/libf/dyn3d/sw_case_williamson91_6.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/sw_case_williamson91_6.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/sw_case_williamson91_6.F	(revision 2597)
@@ -26,4 +26,6 @@
 c
 c=======================================================================
+      USE comconst_mod, ONLY: cpp, omeg, rad
+      
       IMPLICIT NONE
 c-----------------------------------------------------------------------
@@ -31,10 +33,9 @@
 c   ---------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom.h"
+      include "iniprint.h"
 
 c   Arguments:
Index: LMDZ5/trunk/libf/dyn3d/top_bound.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/top_bound.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/top_bound.F	(revision 2597)
@@ -3,11 +3,14 @@
 !
       SUBROUTINE top_bound(vcov,ucov,teta,masse,dt)
+      
+      USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound,
+     &                        tau_top_bound
+      
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comvert.h"
+      include "comgeom2.h"
 
 
@@ -39,5 +42,5 @@
 ! NB: top_bound sponge is only called from leapfrog if ok_strato=.true.
 
-! sponge parameters: (loaded/set in conf_gcm.F ; stored in comconst.h)
+! sponge parameters: (loaded/set in conf_gcm.F ; stored in comconst_mod)
 !    iflag_top_bound=0 for no sponge
 !    iflag_top_bound=1 for sponge over 4 topmost layers
Index: LMDZ5/trunk/libf/dyn3d/vlsplt.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/vlsplt.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/vlsplt.F	(revision 2597)
@@ -21,9 +21,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 
 c
@@ -159,5 +158,4 @@
       include "logic.h"
       include "comvert.h"
-      include "comconst.h"
       include "iniprint.h"
 c
@@ -528,12 +526,12 @@
 c
 c   --------------------------------------------------------------------
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
+      include "comgeom.h"
 c
 c
@@ -893,9 +891,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 c
 c
Index: LMDZ5/trunk/libf/dyn3d/vlspltqs.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/vlspltqs.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d/vlspltqs.F	(revision 2597)
@@ -23,11 +23,13 @@
 c     pk exner au milieu des couches necessaire pour calculer Qsat
 c   --------------------------------------------------------------------
+      
+      USE comconst_mod, ONLY: cpp
+      
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 
 c
@@ -192,9 +194,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
 c
 c
@@ -559,12 +560,14 @@
 c
 c   --------------------------------------------------------------------
+      
+      USE comconst_mod, ONLY: pi
+      
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comvert.h"
+      include "comgeom.h"
 c
 c
Index: LMDZ5/trunk/libf/dyn3d_common/adaptdt.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/adaptdt.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/adaptdt.F	(revision 2597)
@@ -5,5 +5,6 @@
      c                   masse)
 
-      USE control_mod
+!      USE control_mod
+      USE comconst_mod, ONLY: dtvr
       IMPLICIT NONE
 
@@ -11,5 +12,4 @@
 c#include "paramr2.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comdissip.h"
 #include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3d_common/advn.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/advn.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/advn.F	(revision 2597)
@@ -21,5 +21,4 @@
 #include "logic.h"
 #include "comvert.h"
-#include "comconst.h"
 #include "comgeom.h"
 #include "iniprint.h"
@@ -488,5 +487,4 @@
 #include "logic.h"
 #include "comvert.h"
-#include "comconst.h"
 #include "iniprint.h"
 c
Index: LMDZ5/trunk/libf/dyn3d_common/advx.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/advx.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/advx.F	(revision 2597)
@@ -25,5 +25,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 
Index: LMDZ5/trunk/libf/dyn3d_common/advxp.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/advxp.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/advxp.F	(revision 2597)
@@ -15,5 +15,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 
Index: LMDZ5/trunk/libf/dyn3d_common/advy.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/advy.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/advy.F	(revision 2597)
@@ -28,5 +28,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom2.h"
Index: LMDZ5/trunk/libf/dyn3d_common/advyp.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/advyp.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/advyp.F	(revision 2597)
@@ -30,5 +30,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3d_common/advz.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/advz.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/advz.F	(revision 2597)
@@ -23,5 +23,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 
Index: LMDZ5/trunk/libf/dyn3d_common/advzp.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/advzp.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/advzp.F	(revision 2597)
@@ -33,5 +33,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3d_common/caldyn0.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/caldyn0.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/caldyn0.F90	(revision 2597)
@@ -10,5 +10,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comvert.h"
   include "comgeom.h"
Index: LMDZ5/trunk/libf/dyn3d_common/comconst_mod.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/comconst_mod.F90	(revision 2597)
+++ LMDZ5/trunk/libf/dyn3d_common/comconst_mod.F90	(revision 2597)
@@ -0,0 +1,37 @@
+!
+! $Id$
+!
+
+MODULE comconst_mod
+
+IMPLICIT NONE  
+
+      INTEGER im,jm,lllm,imp1,jmp1,lllmm1,lllmp1,lcl
+      REAL dtvr ! dynamical time step (in s)
+      REAL daysec !length (in s) of a standard day
+      REAL pi    ! something like 3.14159....
+      REAL dtphys ! (s) time step for the physics
+      REAL dtdiss ! (s) time step for the dissipation
+      REAL rad ! (m) radius of the planet
+      REAL r ! Reduced Gas constant r=R/mu
+             ! with R=8.31.. J.K-1.mol-1, mu: mol mass of atmosphere (kg/mol)
+      REAL cpp   ! Specific heat Cp (J.kg-1.K-1)
+      REAL kappa ! kappa=R/Cp 
+      REAL cotot
+      REAL unsim ! = 1./iim
+      REAL g ! (m/s2) gravity
+      REAL omeg ! (rad/s) rotation rate of the planet
+      REAL dissip_factz,dissip_deltaz,dissip_zref
+! top_bound sponge:
+      INTEGER iflag_top_bound ! sponge type
+      INTEGER ngroup ! parameter to group points (along longitude) near poles
+      INTEGER mode_top_bound  ! sponge mode
+      REAL tau_top_bound ! inverse of sponge characteristic time scale (Hz)
+      REAL daylen ! length of solar day, in 'standard' day length
+      REAL year_day ! Number of standard days in a year
+      REAL molmass ! (g/mol) molar mass of the atmosphere
+
+      REAL ihf ! (W/m2) Intrinsic heat flux (for giant planets)
+
+
+END MODULE comconst_mod
Index: LMDZ5/trunk/libf/dyn3d_common/conf_planete.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/conf_planete.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/conf_planete.F90	(revision 2597)
@@ -10,4 +10,6 @@
 USE ioipsl_getincom
 #endif
+USE comconst_mod, ONLY: pi, g, molmass, kappa, cpp, omeg, rad, &
+                        year_day, daylen, daysec, ihf
 IMPLICIT NONE
 !
@@ -16,5 +18,4 @@
 !   --------------
 #include "dimensions.h"
-#include "comconst.h"
 #include "comvert.h"
 !
Index: LMDZ5/trunk/libf/dyn3d_common/coordij.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/coordij.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/coordij.F	(revision 2597)
@@ -11,4 +11,6 @@
 c=======================================================================
 
+      USE comconst_mod, ONLY: pi
+      
       IMPLICIT NONE
       REAL lon,lat
@@ -18,5 +20,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 #include "serre.h"
Index: LMDZ5/trunk/libf/dyn3d_common/disvert.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/disvert.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/disvert.F90	(revision 2597)
@@ -16,5 +16,4 @@
   include "paramet.h"
   include "comvert.h"
-  include "comconst.h"
   include "iniprint.h"
   include "logic.h"
Index: LMDZ5/trunk/libf/dyn3d_common/disvert_noterre.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/disvert_noterre.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/disvert_noterre.F	(revision 2597)
@@ -12,4 +12,5 @@
       use ioipsl_getincom
 #endif
+      USE comconst_mod, ONLY: kappa
 
       IMPLICIT NONE
@@ -18,5 +19,4 @@
 #include "paramet.h"
 #include "comvert.h"
-#include "comconst.h"
 #include "logic.h"
 #include "iniprint.h"
Index: LMDZ5/trunk/libf/dyn3d_common/exner_hyb_m.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/exner_hyb_m.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/exner_hyb_m.F90	(revision 2597)
@@ -33,7 +33,9 @@
     !
     !
+    USE comconst_mod, ONLY: jmp1, cpp, kappa, r
+    IMPLICIT NONE
+    
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
     include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3d_common/exner_milieu_m.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/exner_milieu_m.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/exner_milieu_m.F90	(revision 2597)
@@ -30,7 +30,9 @@
     !
     !
+    USE comconst_mod, ONLY: jmp1, cpp, kappa, r
+    IMPLICIT NONE
+    
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom.h"
     include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3d_common/fxy.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/fxy.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/fxy.F	(revision 2597)
@@ -6,4 +6,5 @@
      , rlonu,xprimu,rlonv,xprimv,rlonm025,xprimm025,rlonp025,xprimp025)
 
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 
@@ -17,5 +18,4 @@
 #include "paramet.h"
 #include "serre.h"
-#include "comconst.h"
 
        INTEGER i,j
Index: LMDZ5/trunk/libf/dyn3d_common/fxysinus.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/fxysinus.F	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/fxysinus.F	(revision 2597)
@@ -7,4 +7,5 @@
 
 
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
@@ -17,5 +18,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 
        INTEGER i,j
Index: LMDZ5/trunk/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 2597)
@@ -9,9 +9,9 @@
 SUBROUTINE grilles_gcm_netcdf_sub(masque,phis)
 
+  USE comconst_mod, ONLY: cpp, kappa, g, omeg, daysec, rad, pi
   IMPLICIT NONE
 
   INCLUDE "dimensions.h"
   INCLUDE "paramet.h"
-  INCLUDE "comconst.h"
   INCLUDE "comgeom.h"
   INCLUDE "comvert.h"
Index: LMDZ5/trunk/libf/dyn3d_common/iniconst.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/iniconst.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/iniconst.F90	(revision 2597)
@@ -11,5 +11,7 @@
   use ioipsl_getincom
 #endif
-
+  USE comconst_mod, ONLY: im, imp1, jm, jmp1, lllm, lllmm1, lllmp1, &
+                          unsim, pi, r, kappa, cpp, dtvr, dtphys
+  
   IMPLICIT NONE
   !
@@ -21,5 +23,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "temps.h"
   include "comvert.h"
Index: LMDZ5/trunk/libf/dyn3d_common/inidissip.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d_common/inidissip.F90	(revision 2596)
+++ LMDZ5/trunk/libf/dyn3d_common/inidissip.F90	(revision 2597)
@@ -12,4 +12,6 @@
 
   USE control_mod, only : dissip_period,iperiod
+  USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
+                          dtdiss, dtvr, rad
 
   IMPLICIT NONE
@@ -17,5 +19,4 @@
   include "paramet.h"
   include "comdissipn.h"
-  include "comconst.h"
   include "comvert.h"
   include "logic.h"
